using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;
public class DefaultEncyclopediaCategory : EncyclopediaCategory
{
    public List<DefaultEncyclopediaCategoryArticle> articles = new List<DefaultEncyclopediaCategoryArticle>();

    [System.Serializable]
    public class DefaultEncyclopediaCategoryArticle
    {
        [HorizontalGroup("Line", 0.015f), HideLabel] public bool unlocked = true;
        [HorizontalGroup("Line", 0.985f), HideLabel] public DefaultEncyclopediaArticle article;    
    }

    public override List<EncyclopediaArticle> GetArticles()
    {
        var data = new List<EncyclopediaArticle>();
        foreach (var article in articles) data.Add(((IEncyclopediaArticle)article).GetArticle());
        return data;
    }
}
