using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

[System.Serializable]
public class EncyclopediaArticle
{
    public Dictionary<string,string> content = new Dictionary<string, string>();
    public Dictionary<string,Sprite> images = new Dictionary<string, Sprite>();
    public Dictionary<string,int> integers = new Dictionary<string, int>();
    public Dictionary<string, float> floats = new Dictionary<string, float>();
    public Dictionary<string, bool> booleans = new Dictionary<string, bool>();
    public Dictionary<string, Func<EncyclopediaArticle>> functions = new Dictionary<string, Func<EncyclopediaArticle>>();

}
