using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

[CreateAssetMenu(fileName = "Encyclopedia Article", menuName = "KairoEngine/Encyclopedia Article"), HideMonoScript]
public class DefaultEncyclopediaArticle : ScriptableObject, IEncyclopediaArticle
{
    public string title = "Example Article Title";
    public Sprite icon;
    public Sprite image;
    public string author;
    public string date;
    [HideLabel, TextArea()] public string text;

    public EncyclopediaArticle GetArticle()
    {
        var article = new EncyclopediaArticle();
        article.content.Add("title", title);
        article.content.Add("author", title);
        article.content.Add("date", title);
        article.content.Add("text", text);
        article.images.Add("icon", icon);
        article.images.Add("image", image);
        return article;
    }
}
